# Uses of Class
java.lang.constant.DynamicConstantDesc

Packages that use DynamicConstantDesc
Package
Description
java.lang
Provides classes that are fundamental to the design of the Java programming language.
java.lang.constant
Classes and interfaces to represent nominal descriptors for run-time entities such as classes or method handles, and classfile entities such as constant pool entries or `invokedynamic` call sites.
java.lang.invoke
The `java.lang.invoke` package provides low-level primitives for interacting with the Java Virtual Machine.
jdk.incubator.foreign
Classes to support low-level and efficient foreign memory/function access, directly from Java.

## Uses of DynamicConstantDesc in java.lang

Subclasses of DynamicConstantDesc in java.lang
Modifier and Type
Class
Description
`static final class`
`Enum.EnumDesc<E extends Enum<E>>`
A nominal descriptor for an `enum` constant.
Methods in java.lang that return types with arguments of type DynamicConstantDesc
Modifier and Type
Method
Description
`Optional<DynamicConstantDesc<Boolean>>`
Boolean.`describeConstable()`
Returns an `Optional` containing the nominal descriptor for this instance.
`Optional<DynamicConstantDesc<Byte>>`
Byte.`describeConstable()`
Returns an `Optional` containing the nominal descriptor for this instance.
`Optional<DynamicConstantDesc<Character>>`
Character.`describeConstable()`
Returns an `Optional` containing the nominal descriptor for this instance.
`Optional<DynamicConstantDesc<Short>>`
Short.`describeConstable()`
Returns an `Optional` containing the nominal descriptor for this instance.

## Uses of DynamicConstantDesc in java.lang.constant

Fields in java.lang.constant declared as DynamicConstantDesc
Modifier and Type
Field
Description
`static final DynamicConstantDesc<Boolean>`
ConstantDescs.`FALSE`
Nominal descriptor representing the constant Boolean.FALSE
`static final DynamicConstantDesc<Boolean>`
ConstantDescs.`TRUE`
Nominal descriptor representing the constant Boolean.TRUE
Methods in java.lang.constant that return DynamicConstantDesc
Modifier and Type
Method
Description
`static <T> DynamicConstantDesc<T>`
DynamicConstantDesc.`of(DirectMethodHandleDesc bootstrapMethod)`
Returns a nominal descriptor for a dynamic constant whose bootstrap has no static arguments, whose name parameter is `ConstantDescs.DEFAULT_NAME`, and whose type parameter is always the same as the bootstrap method return type.
`static <T> DynamicConstantDesc<T>`
DynamicConstantDesc.`of(DirectMethodHandleDesc bootstrapMethod, ConstantDesc... bootstrapArgs)`
Returns a nominal descriptor for a dynamic constant whose name parameter is `ConstantDescs.DEFAULT_NAME`, and whose type parameter is always the same as the bootstrap method return type.
`static <T> DynamicConstantDesc<T>`
DynamicConstantDesc.`ofNamed(DirectMethodHandleDesc bootstrapMethod, String constantName, ClassDesc constantType, ConstantDesc... bootstrapArgs)`
Returns a nominal descriptor for a dynamic constant.

## Uses of DynamicConstantDesc in java.lang.invoke

Subclasses of DynamicConstantDesc in java.lang.invoke
Modifier and Type
Class
Description
`static final class`
`VarHandle.VarHandleDesc`
A nominal descriptor for a `VarHandle` constant.

## Uses of DynamicConstantDesc in jdk.incubator.foreign

Methods in jdk.incubator.foreign that return types with arguments of type DynamicConstantDesc
Modifier and Type
Method
Description
`Optional<DynamicConstantDesc<FunctionDescriptor>>`
FunctionDescriptor.`describeConstable()`
`Optional<DynamicConstantDesc<GroupLayout>>`
GroupLayout.`describeConstable()`
`Optional<? extends DynamicConstantDesc<? extends MemoryLayout>>`
MemoryLayout.`describeConstable()`
Returns an `Optional` containing the nominal descriptor for this layout, if one can be constructed, or an empty `Optional` if one cannot be constructed.
`Optional<DynamicConstantDesc<SequenceLayout>>`
SequenceLayout.`describeConstable()`
`Optional<DynamicConstantDesc<ValueLayout>>`
ValueLayout.`describeConstable()`